### Function

# Ide widget_get_workspace

#### Declaration

    IdeWorkspace*
    ide_widget_get_workspace (
      GtkWidget* widget
    )

#### Description

Gets the `IdeWorkspace` containing `widget`.

Available since: | 3.32

#### Parameters

`widget` | `GtkWidget`
| A `GtkWidget`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeWorkspace`
| An `IdeWorkspace` or `NULL`.
| The data is owned by the called function.
| The return value can be `NULL`.